source: squid-ssl/trunk/fuentes/src/adaptation/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 45.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/adaptation/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93am__append_2 = icap
94am__append_3 = ecap
95subdir = src/adaptation
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162LTLIBRARIES = $(noinst_LTLIBRARIES)
163am__DEPENDENCIES_1 =
164am_libadaptation_la_OBJECTS = AccessCheck.lo AccessRule.lo Answer.lo \
165        Config.lo DynamicGroupCfg.lo Elements.lo Initiate.lo \
166        Initiator.lo Iterator.lo Message.lo Service.lo \
167        ServiceConfig.lo ServiceGroups.lo ServiceFilter.lo History.lo
168libadaptation_la_OBJECTS = $(am_libadaptation_la_OBJECTS)
169AM_V_lt = $(am__v_lt_$(V))
170am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
171am__v_lt_0 = --silent
172am__v_lt_1 = 
173AM_V_P = $(am__v_P_$(V))
174am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
175am__v_P_0 = false
176am__v_P_1 = :
177AM_V_GEN = $(am__v_GEN_$(V))
178am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
179am__v_GEN_0 = @echo "  GEN     " $@;
180am__v_GEN_1 = 
181AM_V_at = $(am__v_at_$(V))
182am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
183am__v_at_0 = @
184am__v_at_1 = 
185DEFAULT_INCLUDES = 
186depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
187am__depfiles_maybe = depfiles
188am__mv = mv -f
189CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
192        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
193        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
194        $(AM_CXXFLAGS) $(CXXFLAGS)
195AM_V_CXX = $(am__v_CXX_$(V))
196am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
197am__v_CXX_0 = @echo "  CXX     " $@;
198am__v_CXX_1 = 
199CXXLD = $(CXX)
200CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
201        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
202        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
203AM_V_CXXLD = $(am__v_CXXLD_$(V))
204am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
205am__v_CXXLD_0 = @echo "  CXXLD   " $@;
206am__v_CXXLD_1 = 
207COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
208        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
209LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CFLAGS) $(CFLAGS)
213AM_V_CC = $(am__v_CC_$(V))
214am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
215am__v_CC_0 = @echo "  CC      " $@;
216am__v_CC_1 = 
217CCLD = $(CC)
218LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
220        $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CCLD = $(am__v_CCLD_$(V))
222am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
223am__v_CCLD_0 = @echo "  CCLD    " $@;
224am__v_CCLD_1 = 
225SOURCES = $(libadaptation_la_SOURCES)
226DIST_SOURCES = $(libadaptation_la_SOURCES)
227RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
228        ctags-recursive dvi-recursive html-recursive info-recursive \
229        install-data-recursive install-dvi-recursive \
230        install-exec-recursive install-html-recursive \
231        install-info-recursive install-pdf-recursive \
232        install-ps-recursive install-recursive installcheck-recursive \
233        installdirs-recursive pdf-recursive ps-recursive \
234        tags-recursive uninstall-recursive
235am__can_run_installinfo = \
236  case $$AM_UPDATE_INFO_DIR in \
237    n|no|NO) false;; \
238    *) (install-info --version) >/dev/null 2>&1;; \
239  esac
240RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
241  distclean-recursive maintainer-clean-recursive
242am__recursive_targets = \
243  $(RECURSIVE_TARGETS) \
244  $(RECURSIVE_CLEAN_TARGETS) \
245  $(am__extra_recursive_targets)
246AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
247        check recheck distdir
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
290am__vpath_adj = case $$p in \
291    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
292    *) f=$$p;; \
293  esac;
294am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
295am__install_max = 40
296am__nobase_strip_setup = \
297  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
298am__nobase_strip = \
299  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
300am__nobase_list = $(am__nobase_strip_setup); \
301  for p in $$list; do echo "$$p $$p"; done | \
302  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
303  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
304    if (++n[$$2] == $(am__install_max)) \
305      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
306    END { for (dir in files) print dir, files[dir] }'
307am__base_list = \
308  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
309  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
310am__uninstall_files_from_dir = { \
311  test -z "$$files" \
312    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
313    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
314         $(am__cd) "$$dir" && rm -f $$files; }; \
315  }
316am__recheck_rx = ^[     ]*:recheck:[    ]*
317am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
318am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
319# A command that, given a newline-separated list of test names on the
320# standard input, print the name of the tests that are to be re-run
321# upon "make recheck".
322am__list_recheck_tests = $(AWK) '{ \
323  recheck = 1; \
324  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
325    { \
326      if (rc < 0) \
327        { \
328          if ((getline line2 < ($$0 ".log")) < 0) \
329            recheck = 0; \
330          break; \
331        } \
332      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
333        { \
334          recheck = 0; \
335          break; \
336        } \
337      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
338        { \
339          break; \
340        } \
341    }; \
342  if (recheck) \
343    print $$0; \
344  close ($$0 ".trs"); \
345  close ($$0 ".log"); \
346}'
347# A command that, given a newline-separated list of test names on the
348# standard input, create the global log from their .trs and .log files.
349am__create_global_log = $(AWK) ' \
350function fatal(msg) \
351{ \
352  print "fatal: making $@: " msg | "cat >&2"; \
353  exit 1; \
354} \
355function rst_section(header) \
356{ \
357  print header; \
358  len = length(header); \
359  for (i = 1; i <= len; i = i + 1) \
360    printf "="; \
361  printf "\n\n"; \
362} \
363{ \
364  copy_in_global_log = 1; \
365  global_test_result = "RUN"; \
366  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
367    { \
368      if (rc < 0) \
369         fatal("failed to read from " $$0 ".trs"); \
370      if (line ~ /$(am__global_test_result_rx)/) \
371        { \
372          sub("$(am__global_test_result_rx)", "", line); \
373          sub("[        ]*$$", "", line); \
374          global_test_result = line; \
375        } \
376      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
377        copy_in_global_log = 0; \
378    }; \
379  if (copy_in_global_log) \
380    { \
381      rst_section(global_test_result ": " $$0); \
382      while ((rc = (getline line < ($$0 ".log"))) != 0) \
383      { \
384        if (rc < 0) \
385          fatal("failed to read from " $$0 ".log"); \
386        print line; \
387      }; \
388      printf "\n"; \
389    }; \
390  close ($$0 ".trs"); \
391  close ($$0 ".log"); \
392}'
393# Restructured Text title.
394am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
395# Solaris 10 'make', and several other traditional 'make' implementations,
396# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
397# by disabling -e (using the XSI extension "set +e") if it's set.
398am__sh_e_setup = case $$- in *e*) set +e;; esac
399# Default flags passed to test drivers.
400am__common_driver_flags = \
401  --color-tests "$$am__color_tests" \
402  --enable-hard-errors "$$am__enable_hard_errors" \
403  --expect-failure "$$am__expect_failure"
404# To be inserted before the command running the test.  Creates the
405# directory for the log if needed.  Stores in $dir the directory
406# containing $f, in $tst the test, in $log the log.  Executes the
407# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
408# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
409# will run the test scripts (or their associated LOG_COMPILER, if
410# thy have one).
411am__check_pre = \
412$(am__sh_e_setup);                                      \
413$(am__vpath_adj_setup) $(am__vpath_adj)                 \
414$(am__tty_colors);                                      \
415srcdir=$(srcdir); export srcdir;                        \
416case "$@" in                                            \
417  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
418    *) am__odir=.;;                                     \
419esac;                                                   \
420test "x$$am__odir" = x"." || test -d "$$am__odir"       \
421  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
422if test -f "./$$f"; then dir=./;                        \
423elif test -f "$$f"; then dir=;                          \
424else dir="$(srcdir)/"; fi;                              \
425tst=$$dir$$f; log='$@';                                 \
426if test -n '$(DISABLE_HARD_ERRORS)'; then               \
427  am__enable_hard_errors=no;                            \
428else                                                    \
429  am__enable_hard_errors=yes;                           \
430fi;                                                     \
431case " $(XFAIL_TESTS) " in                              \
432  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
433    am__expect_failure=yes;;                            \
434  *)                                                    \
435    am__expect_failure=no;;                             \
436esac;                                                   \
437$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
438# A shell command to get the names of the tests scripts with any registered
439# extension removed (i.e., equivalently, the names of the test logs, with
440# the '.log' extension removed).  The result is saved in the shell variable
441# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
442# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
443# since that might cause problem with VPATH rewrites for suffix-less tests.
444# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
445am__set_TESTS_bases = \
446  bases='$(TEST_LOGS)'; \
447  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
448  bases=`echo $$bases`
449RECHECK_LOGS = $(TEST_LOGS)
450TEST_SUITE_LOG = test-suite.log
451TEST_EXTENSIONS =  .test
452LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
453LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
454am__set_b = \
455  case '$@' in \
456    */*) \
457      case '$*' in \
458        */*) b='$*';; \
459          *) b=`echo '$@' | sed 's/\.log$$//'`; \
460       esac;; \
461    *) \
462      b='$*';; \
463  esac
464am__test_logs1 = $(TESTS:=.log)
465am__test_logs2 = $(am__test_logs1:.log=.log)
466TEST_LOGS = $(am__test_logs2:.test.log=.log)
467TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
468TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
469        $(TEST_LOG_FLAGS)
470DIST_SUBDIRS = icap ecap
471am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
472        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
473        $(top_srcdir)/src/TestHeaders.am
474DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
475am__relativize = \
476  dir0=`pwd`; \
477  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
478  sed_rest='s,^[^/]*/*,,'; \
479  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
480  sed_butlast='s,/*[^/]*$$,,'; \
481  while test -n "$$dir1"; do \
482    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
483    if test "$$first" != "."; then \
484      if test "$$first" = ".."; then \
485        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
486        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
487      else \
488        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
489        if test "$$first2" = "$$first"; then \
490          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
491        else \
492          dir2="../$$dir2"; \
493        fi; \
494        dir0="$$dir0"/"$$first"; \
495      fi; \
496    fi; \
497    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
498  done; \
499  reldir="$$dir2"
500ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
501ADAPTATION_LIBS = adaptation/libadaptation.la
502ALLOCA =
503AMTAR = $${TAR-tar}
504AM_DEFAULT_VERBOSITY = 1
505AR = /usr/bin/ar
506AR_R = /usr/bin/ar r
507AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
508AUTH_MODULES =  basic digest negotiate ntlm
509AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
510AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
511AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
512AWK = gawk
513BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
514BUILDCXX = g++
515BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
516BZR =
517CACHE_EFFECTIVE_USER = proxy
518CC = gcc
519CCDEPMODE = depmode=none
520CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
521CGIEXT = .cgi
522CHMOD = /bin/chmod
523CPP = gcc -E
524CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
525CPPUNITCONFIG = /usr/bin/cppunit-config
526CRYPTLIB = -lcrypt
527CXX = g++
528CXXCPP = g++ -E
529CXXDEPMODE = depmode=none
530CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
531CYGPATH_W = echo
532DEFAULT_HOSTS = /etc/hosts
533DEFAULT_LOG_DIR = /var/log/squid-ssl
534DEFAULT_PID_FILE = /var/run/squid-ssl.pid
535DEFAULT_SWAP_DIR = /var/spool/squid-ssl
536DEFS = -DHAVE_CONFIG_H
537DEPDIR = .deps
538DIGEST_AUTH_HELPERS =  file LDAP
539DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
540DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
541DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
542DISK_OS_LIBS =  -lrt -lpthread
543DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
544DLLTOOL = false
545DSYMUTIL =
546DUMPBIN =
547ECAP_LIBS = ecap/libsquid-ecap.la
548ECHO_C =
549ECHO_N = -n
550ECHO_T =
551EGREP = /bin/egrep
552EPOLL_LIBS =
553EUILIB =
554EXEEXT =
555EXPATLIB = -lexpat
556EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
557EXT_LIBECAP_CFLAGS =
558EXT_LIBECAP_LIBS = -lecap
559FALSE = /bin/false
560FGREP = /bin/fgrep
561GREP = grep
562HAVE_CXX11 = 1
563ICAP_LIBS = icap/libicap.la
564INCLTDL =
565INSTALL = /usr/bin/install -c
566INSTALL_DATA = ${INSTALL} -m 644
567INSTALL_PROGRAM = ${INSTALL}
568INSTALL_SCRIPT = ${INSTALL}
569INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
570KRB5INCS = -isystem /usr/include/mit-krb5
571KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
572LBERLIB = -llber
573LD = /usr/bin/ld -m elf_x86_64
574LDAPLIB = -lldap
575LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
576LIBADD_DL = -ldl
577LIBADD_DLD_LINK =
578LIBADD_DLOPEN = -ldl
579LIBADD_SHL_LOAD =
580LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
581LIBGNUTLS_LIBS = -lgnutls
582LIBLTDL = -lltdl
583LIBOBJS =
584LIBOPENSSL_CFLAGS =
585LIBOPENSSL_LIBS = -lssl -lcrypto
586LIBS =
587LIBSASL = -lsasl2
588LIBTOOL = $(SHELL) $(top_builddir)/libtool
589LIB_DB = -ldb
590LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
591LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
592LINUXDOC = /bin/false
593LIPO =
594LN = /bin/ln
595LN_S = ln -s
596LOG_DAEMON_HELPERS =  DB file
597LTDLDEPS =
598LTDLINCL =
599LTDLOPEN = libltdl
600LTLIBOBJS =
601LT_ARGZ_H =
602LT_CONFIG_H = include/autoconf.h
603LT_DLLOADERS =  libltdl/dlopen.la
604LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
605LT_SYS_LIBRARY_PATH =
606MAINT = #
607MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
608MANIFEST_TOOL = :
609MINGW_LIBS =
610MKDIR = /bin/mkdir
611MKDIR_P = /bin/mkdir -p
612MV = /bin/mv
613NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
614NETTLELIB =  -lnettle
615NM = /usr/bin/nm -B
616NMEDIT =
617NTLM_AUTH_HELPERS =  fake smb_lm
618OBJDUMP = objdump
619OBJEXT = o
620OTOOL =
621OTOOL64 =
622PACKAGE = squid
623PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
624PACKAGE_NAME = Squid Web Proxy
625PACKAGE_STRING = Squid Web Proxy 3.5.12
626PACKAGE_TARNAME = squid
627PACKAGE_URL =
628PACKAGE_VERSION = 3.5.12
629PATH_SEPARATOR = :
630PERL = /usr/bin/perl
631PKG_CONFIG = /usr/bin/pkg-config
632PKG_CONFIG_LIBDIR =
633PKG_CONFIG_PATH =
634PO2HTML = off
635PO2TEXT = off
636POD2MAN = /usr/bin/pod2man
637RANLIB = ranlib
638REGEXLIB =
639REPL_LIBS = liblru.a libheap.a
640REPL_OBJS = repl/liblru.a repl/libheap.a
641REPL_POLICIES = lru heap
642RM = /bin/rm -f
643SED = /bin/sed
644SET_MAKE =
645SH = /bin/sh
646SHELL = /bin/bash
647SMBCLIENT = /usr/bin/smbclient
648SNMPLIB = ../lib/snmplib/libsnmplib.la
649SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
650SQUID_CPPUNIT_INC =
651SQUID_CPPUNIT_LA =
652SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
653SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
654SSLLIB =  -lssl -lcrypto  -lgnutls
655STOREID_REWRITE_HELPERS =  file
656STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
657STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
658STORE_TESTS =
659STRIP = strip
660TR = /usr/bin/tr
661TRUE = /bin/true
662URL_REWRITE_HELPERS =  fake
663VERSION = 3.5.12
664WBINFO =
665WIN32_PSAPI =
666XMLLIB = -lxml2
667XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
668XTRA_OBJS =
669abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/adaptation
670abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/adaptation
671abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
672abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
673ac_ct_AR =
674ac_ct_CC = gcc
675ac_ct_CXX = g++
676ac_ct_DUMPBIN =
677am__include = include
678am__leading_dot = .
679am__quote =
680am__tar = tar --format=ustar -chf - "$$tardir"
681am__untar = tar -xf -
682bindir = ${exec_prefix}/bin
683build = x86_64-pc-linux-gnu
684build_alias = x86_64-linux-gnu
685build_cpu = x86_64
686build_os = linux-gnu
687build_vendor = pc
688builddir = .
689datadir = /usr/share/squid-ssl
690datarootdir = ${prefix}/share
691docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
692dvidir = ${docdir}
693exec_prefix = ${prefix}
694host = x86_64-pc-linux-gnu
695host_alias =
696host_cpu = x86_64
697host_os = linux-gnu
698host_vendor = pc
699htmldir = ${docdir}
700includedir = ${prefix}/include
701infodir = ${prefix}/share/info
702install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
703krb5_config =
704libdir = ${exec_prefix}/lib
705libexecdir = /usr/lib/squid-ssl
706localedir = ${datarootdir}/locale
707localstatedir = /var
708ltdl_LIBOBJS =  lt__strl.o
709ltdl_LTLIBOBJS =  lt__strl.lo
710mandir = /usr/share/man
711mkdir_p = $(MKDIR_P)
712oldincludedir = /usr/include
713pdfdir = ${docdir}
714prefix = /usr
715program_transform_name = s&$$&-ssl&
716psdir = ${docdir}
717runstatedir = ${localstatedir}/run
718sbindir = ${exec_prefix}/sbin
719sharedstatedir = ${prefix}/com
720srcdir = .
721subdirs =  libltdl
722sys_symbol_underscore = no
723sysconfdir = /etc/squid-ssl
724target_alias =
725top_build_prefix = ../../
726top_builddir = ../..
727top_srcdir = ../..
728AM_CFLAGS = $(SQUID_CFLAGS)
729AM_CXXFLAGS = $(SQUID_CXXFLAGS)
730CLEANFILES = testHeaders
731TESTS = testHeaders
732AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
733        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
734        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
735        $(am__append_1)
736LIBPROFILER =
737#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
738COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
739subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
740SUBDIRS = $(am__append_2) $(am__append_3)
741noinst_LTLIBRARIES = libadaptation.la
742libadaptation_la_SOURCES = \
743        AccessCheck.cc \
744        AccessCheck.h \
745        AccessRule.cc \
746        AccessRule.h \
747        Answer.cc \
748        Answer.h \
749        Config.cc \
750        Config.h \
751        DynamicGroupCfg.cc \
752        DynamicGroupCfg.h \
753        Elements.cc \
754        Elements.h \
755        forward.h \
756        Initiate.cc \
757        Initiate.h \
758        Initiator.cc \
759        Initiator.h \
760        Iterator.cc \
761        Iterator.h \
762        Message.cc \
763        Message.h \
764        Service.cc \
765        Service.h \
766        ServiceConfig.cc \
767        ServiceConfig.h \
768        ServiceGroups.cc \
769        ServiceGroups.h \
770        ServiceFilter.cc \
771        ServiceFilter.h \
772        History.cc \
773        History.h
774
775
776# add libraries for specific adaptation schemes
777libadaptation_la_LIBADD = $(ECAP_LIBS) $(ICAP_LIBS)
778libadaptation_la_DEPENDENCIES = $(ECAP_LIBS) $(ICAP_LIBS)
779all: all-recursive
780
781.SUFFIXES:
782.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
783$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
784        @for dep in $?; do \
785          case '$(am__configure_deps)' in \
786            *$$dep*) \
787              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
788                && { if test -f $@; then exit 0; else break; fi; }; \
789              exit 1;; \
790          esac; \
791        done; \
792        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/adaptation/Makefile'; \
793        $(am__cd) $(top_srcdir) && \
794          $(AUTOMAKE) --gnu src/adaptation/Makefile
795Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
796        @case '$?' in \
797          *config.status*) \
798            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
799          *) \
800            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
801            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
802        esac;
803$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
804
805$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
806        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
807
808$(top_srcdir)/configure: # $(am__configure_deps)
809        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
810$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
811        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
812$(am__aclocal_m4_deps):
813
814clean-noinstLTLIBRARIES:
815        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
816        @list='$(noinst_LTLIBRARIES)'; \
817        locs=`for p in $$list; do echo $$p; done | \
818              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
819              sort -u`; \
820        test -z "$$locs" || { \
821          echo rm -f $${locs}; \
822          rm -f $${locs}; \
823        }
824
825libadaptation.la: $(libadaptation_la_OBJECTS) $(libadaptation_la_DEPENDENCIES) $(EXTRA_libadaptation_la_DEPENDENCIES)
826        $(AM_V_CXXLD)$(CXXLINK)  $(libadaptation_la_OBJECTS) $(libadaptation_la_LIBADD) $(LIBS)
827
828clean-checkPROGRAMS:
829        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
830        echo " rm -f" $$list; \
831        rm -f $$list || exit $$?; \
832        test -n "$(EXEEXT)" || exit 0; \
833        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
834        echo " rm -f" $$list; \
835        rm -f $$list
836
837mostlyclean-compile:
838        -rm -f *.$(OBJEXT)
839
840distclean-compile:
841        -rm -f *.tab.c
842
843#include ./$(DEPDIR)/AccessCheck.Plo
844#include ./$(DEPDIR)/AccessRule.Plo
845#include ./$(DEPDIR)/Answer.Plo
846#include ./$(DEPDIR)/Config.Plo
847#include ./$(DEPDIR)/DynamicGroupCfg.Plo
848#include ./$(DEPDIR)/Elements.Plo
849#include ./$(DEPDIR)/History.Plo
850#include ./$(DEPDIR)/Initiate.Plo
851#include ./$(DEPDIR)/Initiator.Plo
852#include ./$(DEPDIR)/Iterator.Plo
853#include ./$(DEPDIR)/Message.Plo
854#include ./$(DEPDIR)/Service.Plo
855#include ./$(DEPDIR)/ServiceConfig.Plo
856#include ./$(DEPDIR)/ServiceFilter.Plo
857#include ./$(DEPDIR)/ServiceGroups.Plo
858
859.cc.o:
860#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
861#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
862#       $(am__mv) $$depbase.Tpo $$depbase.Po
863#       $(AM_V_CXX)source='$<' object='$@' libtool=no
864#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
865        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
866
867.cc.obj:
868#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
869#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
870#       $(am__mv) $$depbase.Tpo $$depbase.Po
871#       $(AM_V_CXX)source='$<' object='$@' libtool=no
872#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
873        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
874
875.cc.lo:
876#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
877#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
878#       $(am__mv) $$depbase.Tpo $$depbase.Plo
879#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
880#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
881        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
882
883mostlyclean-libtool:
884        -rm -f *.lo
885
886clean-libtool:
887        -rm -rf .libs _libs
888
889# This directory's subdirectories are mostly independent; you can cd
890# into them and run 'make' without going through this Makefile.
891# To change the values of 'make' variables: instead of editing Makefiles,
892# (1) if the variable is set in 'config.status', edit 'config.status'
893#     (which will cause the Makefiles to be regenerated when you run 'make');
894# (2) otherwise, pass the desired values on the 'make' command line.
895$(am__recursive_targets):
896        @fail=; \
897        if $(am__make_keepgoing); then \
898          failcom='fail=yes'; \
899        else \
900          failcom='exit 1'; \
901        fi; \
902        dot_seen=no; \
903        target=`echo $@ | sed s/-recursive//`; \
904        case "$@" in \
905          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
906          *) list='$(SUBDIRS)' ;; \
907        esac; \
908        for subdir in $$list; do \
909          echo "Making $$target in $$subdir"; \
910          if test "$$subdir" = "."; then \
911            dot_seen=yes; \
912            local_target="$$target-am"; \
913          else \
914            local_target="$$target"; \
915          fi; \
916          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
917          || eval $$failcom; \
918        done; \
919        if test "$$dot_seen" = "no"; then \
920          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
921        fi; test -z "$$fail"
922
923ID: $(am__tagged_files)
924        $(am__define_uniq_tagged_files); mkid -fID $$unique
925tags: tags-recursive
926TAGS: tags
927
928tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
929        set x; \
930        here=`pwd`; \
931        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
932          include_option=--etags-include; \
933          empty_fix=.; \
934        else \
935          include_option=--include; \
936          empty_fix=; \
937        fi; \
938        list='$(SUBDIRS)'; for subdir in $$list; do \
939          if test "$$subdir" = .; then :; else \
940            test ! -f $$subdir/TAGS || \
941              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
942          fi; \
943        done; \
944        $(am__define_uniq_tagged_files); \
945        shift; \
946        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
947          test -n "$$unique" || unique=$$empty_fix; \
948          if test $$# -gt 0; then \
949            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
950              "$$@" $$unique; \
951          else \
952            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
953              $$unique; \
954          fi; \
955        fi
956ctags: ctags-recursive
957
958CTAGS: ctags
959ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
960        $(am__define_uniq_tagged_files); \
961        test -z "$(CTAGS_ARGS)$$unique" \
962          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
963             $$unique
964
965GTAGS:
966        here=`$(am__cd) $(top_builddir) && pwd` \
967          && $(am__cd) $(top_srcdir) \
968          && gtags -i $(GTAGS_ARGS) "$$here"
969cscopelist: cscopelist-recursive
970
971cscopelist-am: $(am__tagged_files)
972        list='$(am__tagged_files)'; \
973        case "$(srcdir)" in \
974          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
975          *) sdir=$(subdir)/$(srcdir) ;; \
976        esac; \
977        for i in $$list; do \
978          if test -f "$$i"; then \
979            echo "$(subdir)/$$i"; \
980          else \
981            echo "$$sdir/$$i"; \
982          fi; \
983        done >> $(top_builddir)/cscope.files
984
985distclean-tags:
986        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
987
988# Recover from deleted '.trs' file; this should ensure that
989# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
990# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
991# to avoid problems with "make -n".
992.log.trs:
993        rm -f $< $@
994        $(MAKE) $(AM_MAKEFLAGS) $<
995
996# Leading 'am--fnord' is there to ensure the list of targets does not
997# expand to empty, as could happen e.g. with make check TESTS=''.
998am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
999am--force-recheck:
1000        @:
1001
1002$(TEST_SUITE_LOG): $(TEST_LOGS)
1003        @$(am__set_TESTS_bases); \
1004        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1005        redo_bases=`for i in $$bases; do \
1006                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1007                    done`; \
1008        if test -n "$$redo_bases"; then \
1009          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1010          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1011          if $(am__make_dryrun); then :; else \
1012            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1013          fi; \
1014        fi; \
1015        if test -n "$$am__remaking_logs"; then \
1016          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1017               "recursion detected" >&2; \
1018        elif test -n "$$redo_logs"; then \
1019          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1020        fi; \
1021        if $(am__make_dryrun); then :; else \
1022          st=0;  \
1023          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1024          for i in $$redo_bases; do \
1025            test -f $$i.trs && test -r $$i.trs \
1026              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1027            test -f $$i.log && test -r $$i.log \
1028              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1029          done; \
1030          test $$st -eq 0 || exit 1; \
1031        fi
1032        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1033        ws='[   ]'; \
1034        results=`for b in $$bases; do echo $$b.trs; done`; \
1035        test -n "$$results" || results=/dev/null; \
1036        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1037        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1038        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1039        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1040        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1041        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1042        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1043        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1044          success=true; \
1045        else \
1046          success=false; \
1047        fi; \
1048        br='==================='; br=$$br$$br$$br$$br; \
1049        result_count () \
1050        { \
1051            if test x"$$1" = x"--maybe-color"; then \
1052              maybe_colorize=yes; \
1053            elif test x"$$1" = x"--no-color"; then \
1054              maybe_colorize=no; \
1055            else \
1056              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1057            fi; \
1058            shift; \
1059            desc=$$1 count=$$2; \
1060            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1061              color_start=$$3 color_end=$$std; \
1062            else \
1063              color_start= color_end=; \
1064            fi; \
1065            echo "$${color_start}# $$desc $$count$${color_end}"; \
1066        }; \
1067        create_testsuite_report () \
1068        { \
1069          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1070          result_count $$1 "PASS: " $$pass  "$$grn"; \
1071          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1072          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1073          result_count $$1 "FAIL: " $$fail  "$$red"; \
1074          result_count $$1 "XPASS:" $$xpass "$$red"; \
1075          result_count $$1 "ERROR:" $$error "$$mgn"; \
1076        }; \
1077        {                                                               \
1078          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1079            $(am__rst_title);                                           \
1080          create_testsuite_report --no-color;                           \
1081          echo;                                                         \
1082          echo ".. contents:: :depth: 2";                               \
1083          echo;                                                         \
1084          for b in $$bases; do echo $$b; done                           \
1085            | $(am__create_global_log);                                 \
1086        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1087        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1088        if $$success; then                                              \
1089          col="$$grn";                                                  \
1090         else                                                           \
1091          col="$$red";                                                  \
1092          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1093        fi;                                                             \
1094        echo "$${col}$$br$${std}";                                      \
1095        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1096        echo "$${col}$$br$${std}";                                      \
1097        create_testsuite_report --maybe-color;                          \
1098        echo "$$col$$br$$std";                                          \
1099        if $$success; then :; else                                      \
1100          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1101          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1102            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1103          fi;                                                           \
1104          echo "$$col$$br$$std";                                        \
1105        fi;                                                             \
1106        $$success || exit 1
1107
1108check-TESTS:
1109        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1110        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1111        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1112        @set +e; $(am__set_TESTS_bases); \
1113        log_list=`for i in $$bases; do echo $$i.log; done`; \
1114        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1115        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1116        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1117        exit $$?;
1118recheck: all $(check_PROGRAMS)
1119        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1120        @set +e; $(am__set_TESTS_bases); \
1121        bases=`for i in $$bases; do echo $$i; done \
1122                 | $(am__list_recheck_tests)` || exit 1; \
1123        log_list=`for i in $$bases; do echo $$i.log; done`; \
1124        log_list=`echo $$log_list`; \
1125        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1126                am__force_recheck=am--force-recheck \
1127                TEST_LOGS="$$log_list"; \
1128        exit $$?
1129testHeaders.log: testHeaders
1130        @p='testHeaders'; \
1131        b='testHeaders'; \
1132        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1133        --log-file $$b.log --trs-file $$b.trs \
1134        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1135        "$$tst" $(AM_TESTS_FD_REDIRECT)
1136.test.log:
1137        @p='$<'; \
1138        $(am__set_b); \
1139        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1140        --log-file $$b.log --trs-file $$b.trs \
1141        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1142        "$$tst" $(AM_TESTS_FD_REDIRECT)
1143#.test$(EXEEXT).log:
1144#       @p='$<'; \
1145#       $(am__set_b); \
1146#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1147#       --log-file $$b.log --trs-file $$b.trs \
1148#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1149#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1150
1151distdir: $(DISTFILES)
1152        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1153        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1154        list='$(DISTFILES)'; \
1155          dist_files=`for file in $$list; do echo $$file; done | \
1156          sed -e "s|^$$srcdirstrip/||;t" \
1157              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1158        case $$dist_files in \
1159          */*) $(MKDIR_P) `echo "$$dist_files" | \
1160                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1161                           sort -u` ;; \
1162        esac; \
1163        for file in $$dist_files; do \
1164          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1165          if test -d $$d/$$file; then \
1166            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1167            if test -d "$(distdir)/$$file"; then \
1168              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1169            fi; \
1170            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1171              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1172              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1173            fi; \
1174            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1175          else \
1176            test -f "$(distdir)/$$file" \
1177            || cp -p $$d/$$file "$(distdir)/$$file" \
1178            || exit 1; \
1179          fi; \
1180        done
1181        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1182          if test "$$subdir" = .; then :; else \
1183            $(am__make_dryrun) \
1184              || test -d "$(distdir)/$$subdir" \
1185              || $(MKDIR_P) "$(distdir)/$$subdir" \
1186              || exit 1; \
1187            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1188            $(am__relativize); \
1189            new_distdir=$$reldir; \
1190            dir1=$$subdir; dir2="$(top_distdir)"; \
1191            $(am__relativize); \
1192            new_top_distdir=$$reldir; \
1193            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1194            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1195            ($(am__cd) $$subdir && \
1196              $(MAKE) $(AM_MAKEFLAGS) \
1197                top_distdir="$$new_top_distdir" \
1198                distdir="$$new_distdir" \
1199                am__remove_distdir=: \
1200                am__skip_length_check=: \
1201                am__skip_mode_fix=: \
1202                distdir) \
1203              || exit 1; \
1204          fi; \
1205        done
1206check-am: all-am
1207        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1208        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1209check: check-recursive
1210all-am: Makefile $(LTLIBRARIES)
1211installdirs: installdirs-recursive
1212installdirs-am:
1213install: install-recursive
1214install-exec: install-exec-recursive
1215install-data: install-data-recursive
1216uninstall: uninstall-recursive
1217
1218install-am: all-am
1219        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1220
1221installcheck: installcheck-recursive
1222install-strip:
1223        if test -z '$(STRIP)'; then \
1224          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1225            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1226              install; \
1227        else \
1228          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1229            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1230            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1231        fi
1232mostlyclean-generic:
1233        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1234        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1235        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1236
1237clean-generic:
1238        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1239
1240distclean-generic:
1241        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1242        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1243
1244maintainer-clean-generic:
1245        @echo "This command is intended for maintainers to use"
1246        @echo "it deletes files that may require special tools to rebuild."
1247clean: clean-recursive
1248
1249clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1250        clean-noinstLTLIBRARIES mostlyclean-am
1251
1252distclean: distclean-recursive
1253        -rm -rf ./$(DEPDIR)
1254        -rm -f Makefile
1255distclean-am: clean-am distclean-compile distclean-generic \
1256        distclean-tags
1257
1258dvi: dvi-recursive
1259
1260dvi-am:
1261
1262html: html-recursive
1263
1264html-am:
1265
1266info: info-recursive
1267
1268info-am:
1269
1270install-data-am:
1271
1272install-dvi: install-dvi-recursive
1273
1274install-dvi-am:
1275
1276install-exec-am:
1277
1278install-html: install-html-recursive
1279
1280install-html-am:
1281
1282install-info: install-info-recursive
1283
1284install-info-am:
1285
1286install-man:
1287
1288install-pdf: install-pdf-recursive
1289
1290install-pdf-am:
1291
1292install-ps: install-ps-recursive
1293
1294install-ps-am:
1295
1296installcheck-am:
1297
1298maintainer-clean: maintainer-clean-recursive
1299        -rm -rf ./$(DEPDIR)
1300        -rm -f Makefile
1301maintainer-clean-am: distclean-am maintainer-clean-generic
1302
1303mostlyclean: mostlyclean-recursive
1304
1305mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1306        mostlyclean-libtool
1307
1308pdf: pdf-recursive
1309
1310pdf-am:
1311
1312ps: ps-recursive
1313
1314ps-am:
1315
1316uninstall-am:
1317
1318.MAKE: $(am__recursive_targets) check-am install-am install-strip
1319
1320.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1321        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1322        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1323        ctags-am distclean distclean-compile distclean-generic \
1324        distclean-libtool distclean-tags distdir dvi dvi-am html \
1325        html-am info info-am install install-am install-data \
1326        install-data-am install-dvi install-dvi-am install-exec \
1327        install-exec-am install-html install-html-am install-info \
1328        install-info-am install-man install-pdf install-pdf-am \
1329        install-ps install-ps-am install-strip installcheck \
1330        installcheck-am installdirs installdirs-am maintainer-clean \
1331        maintainer-clean-generic mostlyclean mostlyclean-compile \
1332        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1333        recheck tags tags-am uninstall uninstall-am
1334
1335.PRECIOUS: Makefile
1336
1337
1338$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1339
1340testHeaders: $(srcdir)/*.h
1341        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1342
1343.PHONY: testHeaders
1344
1345# Tell versions [3.59,3.63) of GNU make to not export all variables.
1346# Otherwise a system limit (for SysV at least) may be exceeded.
1347.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.